Focal Apache2 Mysql 8 / dbd auth

Asked by Andreas Moehrlein on 2020-01-14

Using Apache DBD auth for MySQL sever 8 causes an error in Focal 20.04
Same setup is working fine in 16.04 and 18.04

If you are using the driver for mysql in Apache config:
DBDriver mysql

causes apache to fail:
apachectl[1188]: Can't load driver file apr_dbd_mysql.so

The file exists in
/usr/lib/x86_64-linux-gnu/apr-util-1/apr_dbd_mysql.so

linking the file to
/lib/apache2/modules/
doesn't change the error message

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
2020-01-14
Last reply:
2020-01-15

I suggest you report a bug. Focal (Ubuntu 20.20) is not ready and not stable.

If you are happy to stomach bugs and feature holes, and want to report issues to get the release ready for April then by all means use Focal but it will not be a smooth experience up to and even a few weeks after release.

If you need an OS that works then I suggest you wipe off the prerelease and reinstall with Bionic (Ubuntu 18.04). This is also LTS and is rock solid. It will also allow you to upgrade directly to Focal when it is released and stable (LTS to LTS upgrades are supported).

It worked on 16.04 and 18.04 because they are stable and complete, 20.20 is not and this is to be completely expected.

Can you help with this problem?

Provide an answer of your own, or ask Andreas Moehrlein for more information if necessary.

To post a message you must log in.